package net.sf.itcb.common.business.exceptions;

/**
 * This enum défines all the common errors that may be used in all modules
 * 
 * @author Pierre Le Roux
 *
 */
public enum GenericExceptionMappingErrors implements ExceptionMappingErrors {
	
	// Can appears if the server throw a new exception that the client doesn't know because it uses an older version
	COMMON_BUSINESS_UNDEFINED_EXCEPTION ("The server throws an unknown exception"); 


	private String message;
	
	GenericExceptionMappingErrors(String message) {
		this.message=message;
	}

	public String getMessage() {
		return message;
	}
	
	public String getMessageKey() {
		return this.toString();
	}

	
}
