package net.sf.itcb.common.business.exceptions;


/**
 * Generic exception managing localized message
 * This exception has to be extended in business module
 * 
 * @author Pierre Le Roux
 *
 */
public class TechnicalItcbException extends CommonItcbException
{
	private static final long serialVersionUID = 1L;
	
	public TechnicalItcbException(ExceptionMappingErrors exceptionMappingErrors,
			String localizedMessage) {
		this(exceptionMappingErrors, localizedMessage, null);
	}	
	
	
	public TechnicalItcbException(ExceptionMappingErrors exceptionMappingErrors,
			String localizedMessage, Throwable cause) {
		super(exceptionMappingErrors, localizedMessage, cause);
	}	
    
}
